package cn.com.poc.portal.entity;

import java.util.List;

/**
 * @author alex.yao
 * @date 2025/6/19
 */
public class PortalDialoguesCallEntity {

    /**
     * 对话id
     */
    private String dialoguesId;

    /**
     * AgentId
     */
    private String agentId;

    /**
     * 问题
     */
    private String input;

    /**
     * 是否启用搜索引擎
     */
    private Boolean enableSearchEngine;

    /**
     * 是否开启深度思考
     */
    private Boolean enableDeepThinking;

    /**
     * 文件地址
     */
    private String fileUrl;

    /**
     * 知识库ids
     */
    private Integer[] knowledgeIds;

    public String getAgentId() {
        return agentId;
    }

    public void setAgentId(String agentId) {
        this.agentId = agentId;
    }

    public String getDialoguesId() {
        return dialoguesId;
    }

    public void setDialoguesId(String dialoguesId) {
        this.dialoguesId = dialoguesId;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public Boolean getEnableSearchEngine() {
        return enableSearchEngine;
    }

    public void setEnableSearchEngine(Boolean enableSearchEngine) {
        this.enableSearchEngine = enableSearchEngine;
    }

    public Boolean getEnableDeepThinking() {
        return enableDeepThinking;
    }

    public void setEnableDeepThinking(Boolean enableDeepThinking) {
        this.enableDeepThinking = enableDeepThinking;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer[] getKnowledgeIds() {
        return knowledgeIds;
    }

    public void setKnowledgeIds(Integer[] knowledgeIds) {
        this.knowledgeIds = knowledgeIds;
    }
}
